import java.util.Date;

/**
 * Modella un biglietto del nostro parcheggio.
 * 
 * @author (Riccardo Scateni) 
 * @version (1.0 20051205)
 */
public class Ticket
{
    // numero progressivo
    private long serialNumber;
    // ingresso al parcheggio
    private Date timeIn;
    // uscita dal parcheggio (momento del pagamento)
    private Date timeOut;
    // costo della sosta in centesimi di euro
    private int cost;

    /**
     * Inizializza un nuovo biglietto
     */
    public Ticket(long serialNumber)
    {
        // setta il tempo di ingresso nel parcheggio al tempo corrente di macchina
        timeIn = new Date();
        this.serialNumber = serialNumber;
    }
    
    /**
     * Inizializza un nuovo biglietto
     * Serve per creare oggetti di testing
     * @author Nicola Asuni, Fabrizio Solinas
     */
    public Ticket(long serialNumber, Date indate, Date outdate, int cost) {
        this.timeIn = indate;
        this.timeOut = outdate;
        this.cost = cost;
        this.serialNumber = serialNumber;
    }
    
    /**
     * Restituisce il numero di serie
     */
    public long getSerialNumber()
    {
        return serialNumber;
    }

    /**
     * Restituisce il tempo di ingresso
     */
    public Date getTimeIn()
    {
        return timeIn;
    }

    /**
     * Restituisce il tempo di uscita
     */
    public Date getTimeOut()
    {
        return timeOut;
    }

    /**
     * Restituisce il costo della sosta
     */
    public int getCost()
    {
        return cost;
    }

    /**
     * Fissa il tempo di uscita
     */
    public void setTimeOut(Date timeOut)
    {
        this.timeOut = timeOut;
    }

    /**
     * Fissa il costo della sosta
     */
    public void setCost(int cost)
    {
        this.cost = cost;
    }
}
